SUPERCRONIC(1)

NAME
supercronic - crontab-compatible job runner, optimised for containers

SYNOPSIS
supercronic [OPTIONS] CRONTAB

DESCRIPTION
supercronic is a drop-in replacement for cron(8) designed to run inside containers. Unlike traditional cron it logs to stdout/stderr instead of syslog, forwards signals to job process groups, supports hot-reloading of the crontab file, and handles zombie-process reaping when running as PID 1.

CRONTAB is the path to a crontab(5) file.

OPTIONS

-debug
    Enable debug-level logging.

-quiet
    Suppress informational log messages; only warnings and errors are logged. Takes precedence over -debug.

-json
    Format log output as JSON.

-split-logs
    Write stdout output from jobs to stdout and stderr output to stderr, instead of mixing both into a single stream.

-passthrough-logs
    Pass job output through without wrapping it in supercronic log entries.

-test
    Parse and validate the crontab file, then exit without running any jobs. Returns exit code 0 on success.

-overlapping
    Allow a new instance of a job to start even if the previous instance is still running.

-inotify
    Use inotify to watch the crontab file for changes and reload automatically, instead of polling. Useful for Kubernetes ConfigMap and Secret mounts.

-no-reap
    Disable zombie-process reaping. Reaping requires supercronic to be PID 1; use this flag if another process reaper is already running.

-prometheus-listen-address ADDRESS
    Expose a Prometheus /metrics endpoint at ADDRESS. ADDRESS is an ip[:port] value; use 0.0.0.0 for all interfaces. Disabled by default.

-sentry-dsn DSN
    Send panic, fatal, and error log entries to the Sentry project identified by DSN. Disabled by default. See also the SENTRY_DSN environment variable.

-sentry-environment ENV
    Set the Sentry environment name (e.g. production).

-sentry-release VERSION
    Set the application release version reported to Sentry.

-sentryDsn DSN
    Deprecated alias for -sentry-dsn.

-version
    Print the version string and exit.

ENVIRONMENT

SENTRY_DSN
    Sentry Data Source Name. Equivalent to -sentry-dsn.

SENTRY_ENVIRONMENT
    Sentry environment name. Equivalent to -sentry-environment.

SENTRY_RELEASE
    Application release version for Sentry. Equivalent to -sentry-release.

SIGNALS

SIGTERM, SIGINT, SIGQUIT
    Graceful shutdown: wait for all running jobs to finish, then exit.

SIGUSR2
    Reload the crontab file without stopping running jobs.

SEE ALSO
crontab(5), cron(8), cronexpr(1)

BUGS
Please report bugs at <https://github.com/aptible/supercronic/issues>.